Subject: bug#26066: 26.0.50; vc-git-status gives wrong result

From: Dmitry Gutov <[email-masked]>
Date: Tue, 2 May 2017 01:13:40 +0300

On 01.05.2017 22:22, Jonathan Ganc wrote:

>> But what about the problems like "I don't have to bind 
>> default-directory when calling vc-state, but I still have to do that 
>> when calling other backend commands"?
>>
> This is just about clarification: are you thinking that one possible 
> solution is not to have any of the vc code bind default-directory, i.e. 
> that the caller might always be responsible for that?

Suppose so. I do not particularly like any of the obvious options.

Making the caller bind default-directory is not ideal, but sprinkling 
default-directory bindings over all VC command implementations doesn't 
sound great.

The former seems less error-prone in the end, though. And in that 
approach, the caller package might find just one place they have to put 
the default-directory binding at, so that it works for multiple calls.